org.apache.olingo.commons.api.http

## Interface HttpHeader

-     public interface HttpHeader

  HTTP header constants.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ACCEPT` See HTTP/1.1 documentation.
    `static String` | `ACCEPT_CHARSET` See HTTP/1.1 documentation.
    `static String` | `ACCEPT_ENCODING` See HTTP/1.1 documentation.
    `static String` | `ACCEPT_LANGUAGE` See HTTP/1.1 documentation.
    `static String` | `ALLOW` See HTTP/1.1 documentation.
    `static String` | `AUTHORIZATION` See HTTP/1.1 documentation.
    `static String` | `CACHE_CONTROL` See HTTP/1.1 documentation.
    `static String` | `CONTENT_ENCODING` See HTTP/1.1 documentation.
    `static String` | `CONTENT_ID` See RFC 2392.
    `static String` | `CONTENT_LANGUAGE` See HTTP/1.1 documentation.
    `static String` | `CONTENT_LENGTH` See HTTP/1.1 documentation.
    `static String` | `CONTENT_LOCATION` See HTTP/1.1 documentation.
    `static String` | `CONTENT_TYPE` See HTTP/1.1 documentation.
    `static String` | `COOKIE` See IETF RFC 2109.
    `static String` | `DATE` See HTTP/1.1 documentation.
    `static String` | `ETAG` See HTTP/1.1 documentation.
    `static String` | `EXPECT` See RFC 7231.
    `static String` | `EXPIRES` See HTTP/1.1 documentation.
    `static String` | `FROM` See RFC 7231.
    `static String` | `HOST` See HTTP/1.1 documentation.
    `static String` | `IF_MATCH` See HTTP/1.1 documentation.
    `static String` | `IF_MODIFIED_SINCE` See HTTP/1.1 documentation.
    `static String` | `IF_NONE_MATCH` See HTTP/1.1 documentation.
    `static String` | `IF_UNMODIFIED_SINCE` See HTTP/1.1 documentation.
    `static String` | `LAST_MODIFIED` See HTTP/1.1 documentation.
    `static String` | `LINK` See Web Linking (IETF RFC-5988) documentation.
    `static String` | `LOCATION` See HTTP/1.1 documentation.
    `static String` | `MAX_FORWARDS` See RFC 7231.
    `static String` | `ODATA_ENTITY_ID` Custom Header defined in the OData standard.
    `static String` | `ODATA_ISOLATION` Custom Header defined in the OData standard.
    `static String` | `ODATA_MAX_VERSION` Custom Header defined in the OData standard.
    `static String` | `ODATA_VERSION` Custom Header defined in the OData standard.
    `static String` | `PREFER` OData Prefer Header.
    `static String` | `PREFERENCE_APPLIED` OData Preference-Applied Header.
    `static String` | `RANGE` See RFC 7233.
    `static String` | `RETRY_AFTER` See HTTP/1.1 documentation.
    `static String` | `SET_COOKIE` See IETF RFC 2109.
    `static String` | `TE` See RFC 7230.
    `static String` | `USER_AGENT` See HTTP/1.1 documentation.
    `static String` | `VARY` See HTTP/1.1 documentation.
    `static String` | `WWW_AUTHENTICATE` See HTTP/1.1 documentation.
    `static String` | `X_HTTP_METHOD` Non standard header.
    `static String` | `X_HTTP_METHOD_OVERRIDE` Non standard header.

- - ### Field Detail

    - #### ACCEPT

          static final String ACCEPT

      See HTTP/1.1 documentation.
      See Also:
        Constant Field Values

    - #### ACCEPT_CHARSET

          static final String ACCEPT_CHARSET

      See HTTP/1.1 documentation.
      See Also:
        Constant Field Values

    - #### ACCEPT_ENCODING

          static final String ACCEPT_ENCODING

      See HTTP/1.1 documentation.
      See Also:
        Constant Field Values

    - #### ACCEPT_LANGUAGE

          static final String ACCEPT_LANGUAGE

      See HTTP/1.1 documentation.
      See Also:
        Constant Field Values

    - #### ALLOW

          static final String ALLOW

      See HTTP/1.1 documentation.
      See Also:
        Constant Field Values

    - #### AUTHORIZATION

          static final String AUTHORIZATION

      See HTTP/1.1 documentation.
      See Also:
        Constant Field Values

    - #### CACHE_CONTROL

          static final String CACHE_CONTROL

      See HTTP/1.1 documentation.
      See Also:
        Constant Field Values

    - #### CONTENT_ENCODING

          static final String CONTENT_ENCODING

      See HTTP/1.1 documentation.
      See Also:
        Constant Field Values

    - #### CONTENT_LANGUAGE

          static final String CONTENT_LANGUAGE

      See HTTP/1.1 documentation.
      See Also:
        Constant Field Values

    - #### CONTENT_ID

          static final String CONTENT_ID

      See RFC 2392.
      See Also:
        Constant Field Values

    - #### CONTENT_LENGTH

          static final String CONTENT_LENGTH

      See HTTP/1.1 documentation.
      See Also:
        Constant Field Values

    - #### CONTENT_LOCATION

          static final String CONTENT_LOCATION

      See HTTP/1.1 documentation.
      See Also:
        Constant Field Values

    - #### CONTENT_TYPE

          static final String CONTENT_TYPE

      See HTTP/1.1 documentation.
      See Also:
        Constant Field Values

    - #### DATE

          static final String DATE

      See HTTP/1.1 documentation.
      See Also:
        Constant Field Values

    - #### ETAG

          static final String ETAG

      See HTTP/1.1 documentation.
      See Also:
        Constant Field Values

    - #### EXPECT

          static final String EXPECT

      See RFC 7231.
      See Also:
        Constant Field Values

    - #### EXPIRES

          static final String EXPIRES

      See HTTP/1.1 documentation.
      See Also:
        Constant Field Values

    - #### FROM

          static final String FROM

      See RFC 7231.
      See Also:
        Constant Field Values

    - #### HOST

          static final String HOST

      See HTTP/1.1 documentation.
      See Also:
        Constant Field Values

    - #### IF_MATCH

          static final String IF_MATCH

      See HTTP/1.1 documentation.
      See Also:
        Constant Field Values

    - #### IF_MODIFIED_SINCE

          static final String IF_MODIFIED_SINCE

      See HTTP/1.1 documentation.
      See Also:
        Constant Field Values

    - #### IF_NONE_MATCH

          static final String IF_NONE_MATCH

      See HTTP/1.1 documentation.
      See Also:
        Constant Field Values

    - #### IF_UNMODIFIED_SINCE

          static final String IF_UNMODIFIED_SINCE

      See HTTP/1.1 documentation.
      See Also:
        Constant Field Values

    - #### LAST_MODIFIED

          static final String LAST_MODIFIED

      See HTTP/1.1 documentation.
      See Also:
        Constant Field Values

    - #### LOCATION

          static final String LOCATION

      See HTTP/1.1 documentation.
      See Also:
        Constant Field Values

    - #### LINK

          static final String LINK

      See Web Linking (IETF RFC-5988) documentation.
      See Also:
        Constant Field Values

    - #### MAX_FORWARDS

          static final String MAX_FORWARDS

      See RFC 7231.
      See Also:
        Constant Field Values

    - #### PREFER

          static final String PREFER

      OData Prefer Header. See OData Version 4.0 Part 1: Protocol and RFC 7240.
      See Also:
        Constant Field Values

    - #### PREFERENCE_APPLIED

          static final String PREFERENCE_APPLIED

      OData Preference-Applied Header. See OData Version 4.0 Part 1: Protocol and RFC 7240.
      See Also:
        Constant Field Values

    - #### RANGE

          static final String RANGE

      See RFC 7233.
      See Also:
        Constant Field Values

    - #### RETRY_AFTER

          static final String RETRY_AFTER

      See HTTP/1.1 documentation.
      See Also:
        Constant Field Values

    - #### TE

          static final String TE

      See RFC 7230.
      See Also:
        Constant Field Values

    - #### USER_AGENT

          static final String USER_AGENT

      See HTTP/1.1 documentation.
      See Also:
        Constant Field Values

    - #### VARY

          static final String VARY

      See HTTP/1.1 documentation.
      See Also:
        Constant Field Values

    - #### WWW_AUTHENTICATE

          static final String WWW_AUTHENTICATE

      See HTTP/1.1 documentation.
      See Also:
        Constant Field Values

    - #### COOKIE

          static final String COOKIE

      See IETF RFC 2109.
      See Also:
        Constant Field Values

    - #### SET_COOKIE

          static final String SET_COOKIE

      See IETF RFC 2109.
      See Also:
        Constant Field Values

    - #### X_HTTP_METHOD

          static final String X_HTTP_METHOD

      Non standard header.
      See Also:
        Constant Field Values

    - #### X_HTTP_METHOD_OVERRIDE

          static final String X_HTTP_METHOD_OVERRIDE

      Non standard header.
      See Also:
        Constant Field Values

    - #### ODATA_VERSION

          static final String ODATA_VERSION

      Custom Header defined in the OData standard.
      See Also:
        Constant Field Values

    - #### ODATA_MAX_VERSION

          static final String ODATA_MAX_VERSION

      Custom Header defined in the OData standard.
      See Also:
        Constant Field Values

    - #### ODATA_ENTITY_ID

          static final String ODATA_ENTITY_ID

      Custom Header defined in the OData standard.
      See Also:
        Constant Field Values

    - #### ODATA_ISOLATION

          static final String ODATA_ISOLATION

      Custom Header defined in the OData standard.
      See Also:
        Constant Field Values

Copyright © 2013–2020 The Apache Software Foundation. All rights reserved.